Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class StrucDocTableImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.StrucDocTableImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, StrucDocTable

    public class StrucDocTableImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements StrucDocTable

An implementation of the model object 'Struc Doc Table'.

The following features are implemented:

- `Caption`
- `Col`
- `Colgroup`
- `Thead`
- `Tfoot`
- `Tbody`
- `Border`
- `Cellpadding`
- `Cellspacing`
- `Frame`
- `ID`
- `Language`
- `Rules`
- `Style Code`
- `Summary`
- `Width`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCaption(StrucDocCaption newCaption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTfoot(StrucDocTfoot newTfoot, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetThead(StrucDocThead newThead, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getBorder()`
`StrucDocCaption` | `getCaption()`
`java.lang.String` | `getCellpadding()`
`java.lang.String` | `getCellspacing()`
`org.eclipse.emf.common.util.EList` | `getCol()`
`org.eclipse.emf.common.util.EList` | `getColgroup()`
`FrameType` | `getFrame()`
`java.lang.String` | `getID()`
`java.lang.String` | `getLanguage()`
`RulesType` | `getRules()`
`java.util.List` | `getStyleCode()`
`java.lang.String` | `getSummary()`
`org.eclipse.emf.common.util.EList` | `getTbody()`
`StrucDocTfoot` | `getTfoot()`
`StrucDocThead` | `getThead()`
`java.lang.String` | `getWidth()`
`boolean` | `isSetFrame()`
`boolean` | `isSetRules()`
`void` | `setBorder(java.lang.String newBorder)`
`void` | `setCaption(StrucDocCaption newCaption)`
`void` | `setCellpadding(java.lang.String newCellpadding)`
`void` | `setCellspacing(java.lang.String newCellspacing)`
`void` | `setFrame(FrameType newFrame)`
`void` | `setID(java.lang.String newID)`
`void` | `setLanguage(java.lang.String newLanguage)`
`void` | `setRules(RulesType newRules)`
`void` | `setStyleCode(java.util.List newStyleCode)`
`void` | `setSummary(java.lang.String newSummary)`
`void` | `setTfoot(StrucDocTfoot newTfoot)`
`void` | `setThead(StrucDocThead newThead)`
`void` | `setWidth(java.lang.String newWidth)`
`java.lang.String` | `toString()`
`void` | `unsetFrame()`
`void` | `unsetRules()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getCaption

    public StrucDocCaption getCaption()

  Specified by:
    `getCaption` in interface `StrucDocTable`
  Returns:
    the value of the 'Caption' containment reference.
  See Also:
    `StrucDocTable.setCaption(StrucDocCaption)`, `CDAR2Package.getStrucDocTable_Caption()`

### basicSetCaption

    public org.eclipse.emf.common.notify.NotificationChain basicSetCaption(StrucDocCaption newCaption,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setCaption

    public void setCaption(StrucDocCaption newCaption)

  Specified by:
    `setCaption` in interface `StrucDocTable`
  Parameters:
    `newCaption` - the new value of the 'Caption' containment reference.
  See Also:
    `StrucDocTable.getCaption()`

### getCol

    public org.eclipse.emf.common.util.EList getCol()

  Specified by:
    `getCol` in interface `StrucDocTable`
  Returns:
    the value of the 'Col' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Col()`

### getColgroup

    public org.eclipse.emf.common.util.EList getColgroup()

  Specified by:
    `getColgroup` in interface `StrucDocTable`
  Returns:
    the value of the 'Colgroup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Colgroup()`

### getThead

    public StrucDocThead getThead()

  Specified by:
    `getThead` in interface `StrucDocTable`
  Returns:
    the value of the 'Thead' containment reference.
  See Also:
    `StrucDocTable.setThead(StrucDocThead)`, `CDAR2Package.getStrucDocTable_Thead()`

### basicSetThead

    public org.eclipse.emf.common.notify.NotificationChain basicSetThead(StrucDocThead newThead,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setThead

    public void setThead(StrucDocThead newThead)

  Specified by:
    `setThead` in interface `StrucDocTable`
  Parameters:
    `newThead` - the new value of the 'Thead' containment reference.
  See Also:
    `StrucDocTable.getThead()`

### getTfoot

    public StrucDocTfoot getTfoot()

  Specified by:
    `getTfoot` in interface `StrucDocTable`
  Returns:
    the value of the 'Tfoot' containment reference.
  See Also:
    `StrucDocTable.setTfoot(StrucDocTfoot)`, `CDAR2Package.getStrucDocTable_Tfoot()`

### basicSetTfoot

    public org.eclipse.emf.common.notify.NotificationChain basicSetTfoot(StrucDocTfoot newTfoot,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTfoot

    public void setTfoot(StrucDocTfoot newTfoot)

  Specified by:
    `setTfoot` in interface `StrucDocTable`
  Parameters:
    `newTfoot` - the new value of the 'Tfoot' containment reference.
  See Also:
    `StrucDocTable.getTfoot()`

### getTbody

    public org.eclipse.emf.common.util.EList getTbody()

  Specified by:
    `getTbody` in interface `StrucDocTable`
  Returns:
    the value of the 'Tbody' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTable_Tbody()`

### getBorder

    public java.lang.String getBorder()

  Specified by:
    `getBorder` in interface `StrucDocTable`
  Returns:
    the value of the 'Border' attribute.
  See Also:
    `StrucDocTable.setBorder(String)`, `CDAR2Package.getStrucDocTable_Border()`

### setBorder

    public void setBorder(java.lang.String newBorder)

  Specified by:
    `setBorder` in interface `StrucDocTable`
  Parameters:
    `newBorder` - the new value of the 'Border' attribute.
  See Also:
    `StrucDocTable.getBorder()`

### getCellpadding

    public java.lang.String getCellpadding()

  Specified by:
    `getCellpadding` in interface `StrucDocTable`
  Returns:
    the value of the 'Cellpadding' attribute.
  See Also:
    `StrucDocTable.setCellpadding(String)`, `CDAR2Package.getStrucDocTable_Cellpadding()`

### setCellpadding

    public void setCellpadding(java.lang.String newCellpadding)

  Specified by:
    `setCellpadding` in interface `StrucDocTable`
  Parameters:
    `newCellpadding` - the new value of the 'Cellpadding' attribute.
  See Also:
    `StrucDocTable.getCellpadding()`

### getCellspacing

    public java.lang.String getCellspacing()

  Specified by:
    `getCellspacing` in interface `StrucDocTable`
  Returns:
    the value of the 'Cellspacing' attribute.
  See Also:
    `StrucDocTable.setCellspacing(String)`, `CDAR2Package.getStrucDocTable_Cellspacing()`

### setCellspacing

    public void setCellspacing(java.lang.String newCellspacing)

  Specified by:
    `setCellspacing` in interface `StrucDocTable`
  Parameters:
    `newCellspacing` - the new value of the 'Cellspacing' attribute.
  See Also:
    `StrucDocTable.getCellspacing()`

### getFrame

    public FrameType getFrame()

  Specified by:
    `getFrame` in interface `StrucDocTable`
  Returns:
    the value of the 'Frame' attribute.
  See Also:
    `FrameType`, `StrucDocTable.isSetFrame()`, `StrucDocTable.unsetFrame()`, `StrucDocTable.setFrame(FrameType)`, `CDAR2Package.getStrucDocTable_Frame()`

### setFrame

    public void setFrame(FrameType newFrame)

  Specified by:
    `setFrame` in interface `StrucDocTable`
  Parameters:
    `newFrame` - the new value of the 'Frame' attribute.
  See Also:
    `FrameType`, `StrucDocTable.isSetFrame()`, `StrucDocTable.unsetFrame()`, `StrucDocTable.getFrame()`

### unsetFrame

    public void unsetFrame()

  Specified by:
    `unsetFrame` in interface `StrucDocTable`
  See Also:
    `StrucDocTable.isSetFrame()`, `StrucDocTable.getFrame()`, `StrucDocTable.setFrame(FrameType)`

### isSetFrame

    public boolean isSetFrame()

  Specified by:
    `isSetFrame` in interface `StrucDocTable`
  Returns:
    whether the value of the 'Frame' attribute is set.
  See Also:
    `StrucDocTable.unsetFrame()`, `StrucDocTable.getFrame()`, `StrucDocTable.setFrame(FrameType)`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `StrucDocTable`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `StrucDocTable.setID(String)`, `CDAR2Package.getStrucDocTable_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `StrucDocTable`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `StrucDocTable.getID()`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `StrucDocTable`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `StrucDocTable.setLanguage(String)`, `CDAR2Package.getStrucDocTable_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `StrucDocTable`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `StrucDocTable.getLanguage()`

### getRules

    public RulesType getRules()

  Specified by:
    `getRules` in interface `StrucDocTable`
  Returns:
    the value of the 'Rules' attribute.
  See Also:
    `RulesType`, `StrucDocTable.isSetRules()`, `StrucDocTable.unsetRules()`, `StrucDocTable.setRules(RulesType)`, `CDAR2Package.getStrucDocTable_Rules()`

### setRules

    public void setRules(RulesType newRules)

  Specified by:
    `setRules` in interface `StrucDocTable`
  Parameters:
    `newRules` - the new value of the 'Rules' attribute.
  See Also:
    `RulesType`, `StrucDocTable.isSetRules()`, `StrucDocTable.unsetRules()`, `StrucDocTable.getRules()`

### unsetRules

    public void unsetRules()

  Specified by:
    `unsetRules` in interface `StrucDocTable`
  See Also:
    `StrucDocTable.isSetRules()`, `StrucDocTable.getRules()`, `StrucDocTable.setRules(RulesType)`

### isSetRules

    public boolean isSetRules()

  Specified by:
    `isSetRules` in interface `StrucDocTable`
  Returns:
    whether the value of the 'Rules' attribute is set.
  See Also:
    `StrucDocTable.unsetRules()`, `StrucDocTable.getRules()`, `StrucDocTable.setRules(RulesType)`

### getStyleCode

    public java.util.List getStyleCode()

  Specified by:
    `getStyleCode` in interface `StrucDocTable`
  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `StrucDocTable.setStyleCode(List)`, `CDAR2Package.getStrucDocTable_StyleCode()`

### setStyleCode

    public void setStyleCode(java.util.List newStyleCode)

  Specified by:
    `setStyleCode` in interface `StrucDocTable`
  Parameters:
    `newStyleCode` - the new value of the 'Style Code' attribute.
  See Also:
    `StrucDocTable.getStyleCode()`

### getSummary

    public java.lang.String getSummary()

  Specified by:
    `getSummary` in interface `StrucDocTable`
  Returns:
    the value of the 'Summary' attribute.
  See Also:
    `StrucDocTable.setSummary(String)`, `CDAR2Package.getStrucDocTable_Summary()`

### setSummary

    public void setSummary(java.lang.String newSummary)

  Specified by:
    `setSummary` in interface `StrucDocTable`
  Parameters:
    `newSummary` - the new value of the 'Summary' attribute.
  See Also:
    `StrucDocTable.getSummary()`

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in interface `StrucDocTable`
  Returns:
    the value of the 'Width' attribute.
  See Also:
    `StrucDocTable.setWidth(String)`, `CDAR2Package.getStrucDocTable_Width()`

### setWidth

    public void setWidth(java.lang.String newWidth)

  Specified by:
    `setWidth` in interface `StrucDocTable`
  Parameters:
    `newWidth` - the new value of the 'Width' attribute.
  See Also:
    `StrucDocTable.getWidth()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD